import type { ImageSourcePropType } from 'react-native';
import { CardType } from '../helpers/cards';
type FontWeight = 'bold' | '600' | 'normal' | '100' | '200' | '300' | '400' | '500' | '700' | '800' | '900';
export interface BlipTheme {
    colorBackground: string;
    colorSectionBackground: string;
    colorSectionBackgroundAlt: string;
    colorFieldBackground: string;
    colorFieldBackgroundFocus: string;
    colorTextPrimary: string;
    colorTextDisabled: string;
    colorAccent: string;
    colorTextSecondary: string;
    colorTextFieldPlaceholder: string;
    colorTextFieldPlaceholderDisabled: string;
    colorTextFieldLabel: string;
    colorTextFieldLabelDisabled: string;
    colorTextError: string;
    colorOutline: string;
    colorSkeletonBackground: string;
    fontSizeXXL: number;
    fontSizeExtraLarge: number;
    fontSizeLarge: number;
    fontSizeMedium: number;
    fontSizeSmall: number;
    fontSizeExtraSmall: number;
    fontFamily: string;
    fontWeightRegular: FontWeight;
    fontWeightSemibold: FontWeight;
    fontWeightBold: FontWeight;
    showCardWithWalkthrough: boolean;
    showCardWithWebview: boolean;
    cardBackgroundColor: string | null;
    cardLetterSpacing: number;
    cardChipColor: string;
    cardFontWeight: FontWeight;
    cardLogo: ImageSourcePropType | null;
    cardType: CardType | null;
    cardNumberPlaceholder: string;
    logo: ImageSourcePropType;
    background: ImageSourcePropType;
}
export {};
